#include "GBReader.h"

int Open(HWND hWnd,HWND hList)
{
	DWORD hFileSize;
	HANDLE hFile;
	HANDLE hFileMap;
	char *Data;
	char *OrignalData;
	OPENFILENAME ofn;
	bool LoadedPe=false;
	bool linked=false;
	char szFileName[MAX_PATH] = "";

    ZeroMemory(&ofn, sizeof(OPENFILENAME));
    ofn.lStructSize = sizeof(OPENFILENAME); // SEE NOTE BELOW
    ofn.hwndOwner = hWnd;
    ofn.lpstrFilter = "GB Files (*.gb)\0*.gb\0All Files (*.*)\0*.*\0";
    ofn.lpstrFile = szFileName;
    ofn.nMaxFile = MAX_PATH;
    ofn.Flags = OFN_EXPLORER | OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
    ofn.lpstrDefExt = "gb";
    
    SendMessage(hList,LVM_DELETEALLITEMS,0,0); // Insert/Show the coloum
			
	if(GetOpenFileName(&ofn))
    {			
	   hFile=CreateFile( szFileName,
					     GENERIC_READ|GENERIC_WRITE,
					     FILE_SHARE_READ,
					     NULL,
					     OPEN_ALWAYS,
						 FILE_ATTRIBUTE_NORMAL,
						 NULL );
	}
	else {
		    return false;
	}
	
	if(hFile==INVALID_HANDLE_VALUE)
	{
		return false;
	}
					
	hFileSize=GetFileSize(hFile,NULL);
					
	if(hFileSize==0xFFFFFFFF)
	{
		return false;
	}				
					
	hFileMap=CreateFileMapping(hFile,
							   NULL,
							   PAGE_READWRITE,
							   0,
							   0,
							   NULL);

	if(hFileMap==NULL)
	{
		return false;
	}

    /* Data Pointer to the Mapped File */				
	Data=(char*)MapViewOfFile(hFileMap,
							  FILE_MAP_ALL_ACCESS,
							  0,
							  0,
							  0);
	OrignalData=Data;
	//Read GameBoy ROM Header
	Read_Game_Boy_Header(hWnd,hList,OrignalData);
	// close the loaded file
	CloseFiles(hWnd,hFile,Data,hFileMap,hList);
	
	return true; // all tasks went great in the end
}

void OutDebug(HWND hWnd,char* debug,HWND hList)
{
   LVITEM LvItem;
   ZeroMemory(&LvItem,0); 
   LvItem.mask=LVIF_TEXT;   // Text Style
   LvItem.cchTextMax = 256; // Max size of test
   LvItem.iItem=500000000;  // choose item  
   LvItem.iSubItem=0;       // Put in first coluom
   LvItem.pszText=debug;    // Text to display (can be from a char variable) (Items)
   SendMessage(hList,LVM_INSERTITEM,0,(LPARAM)&LvItem); 
}

bool CloseFiles(HWND hWnd, HANDLE hFile,char *Data,HANDLE hFileMap,HWND hList)
{
	if(UnmapViewOfFile(Data)==0)
	{
		return false;
	}
				
	if(CloseHandle(hFileMap)==NULL)
	{
		return false;
	}	
									
	if(CloseHandle(hFile)==NULL)
	{
		return false;
	}

	return true;					
}
